<?php
class ModelLocalisationWeight extends Model {
	public function getWeights() {
		$weight_data = $this->cache->get('weight');
		if (!$weight_data) {
			$weight_data = array();
			$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "weight_class wc LEFT JOIN " . DB_PREFIX . "weight_class_description wcd ON (wc.weight_class_id = wcd.weight_class_id) WHERE wcd.language_id = '" . (int)$this->config->get('config_language_id') . "'");
			foreach ($query->rows as $result) {
				$weight_data[$result['weight_class_id']] = array(
					'weight_class_id' => $result['weight_class_id'],
					'title'           => $result['title'],
					'unit'            => $result['unit'],
					'value'           => $result['value']
				); 
			}
			$this->cache->set('weight', $weight_data);
		}
		return $weight_data;	
	}	
}
?>